import { Request, Response } from 'express';
import { publicApplyDto, publicApiApplyDto, submitRecruitmentTaskDto } from './recruitment.dto';
import { RecruitmentService } from './recruitment.service';
export declare class PublicRecruitmentController {
    private readonly service;
    constructor(service: RecruitmentService);
    getPublicJobs(orgSlug: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getPublicJob(orgSlug: string, jobSlug: string, res: Response): Promise<Response<any, Record<string, any>>>;
    publicApply(orgSlug: string, jobSlug: string, data: publicApplyDto, res: Response): Promise<Response<any, Record<string, any>>>;
    publicApiJobs(req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    publicApiApply(req: Request, body: publicApiApplyDto, res: Response): Promise<Response<any, Record<string, any>>>;
    getTaskByToken(token: string, res: Response): Promise<Response<any, Record<string, any>>>;
    submitTaskByToken(token: string, data: submitRecruitmentTaskDto, res: Response): Promise<Response<any, Record<string, any>>>;
}
